GoDaddy Support

Update BIND on Your Linux Dedicated/Virtual Dedicated Server

Some of the information in this article is advanced material we make available as a courtesy. Please be advised that you are responsible for properly following the procedures below. Customer Support cannot assist with these topics.

We strongly encourage you to keep the DNS service BIND (Berkeley Internet Name Domain) updated with the latest version on your Dedicated Server.

Note to Red Hat 9 Customers If you are running a Virtual Private Server (VPS) with the Red hat 9 operating system, you will need to either upgrade to a more current operating system or download the source RPM from the BIND website for your version of BIND and compile it on your server.

To Update BIND

  1. SSH to your server.
  2. Type su - and press Enter to gain root access.
  3. Type cp /etc/sysconfig/named /etc/sysconfig/named.bak
  4. Type yum clean all.
  5. Type yum update bind.

The system will then proceed to update all the needed packages for you automatically.

If you are running Parallels Plesk Panel there are certain packages that can be installed that will interfere with Parallels Plesk Panel's functionality. If you have not already, please add the following line to your /etc/yum.conf to ensure that YUM does not update any packages that may break Parallels Plesk Panel.

exclude=bind-chroot caching-nameserver

Adding this line to the configuration file will prevent yum from ever being able to update these packages. This can cause issues in the future should you want to use yum to update anything listed as an exclude.

If you have never made any changes to your yum.conf file you can use the following procedure to make this update:

  1. SSH to your server.
  2. Type su - and press Enter to gain root access.
  3. Type echo "exclude=bind-chroot caching-nameserver" >> /etc/yum.conf

Once this is complete you can run the yum update statements at the top of the article. If you receive an error similar to the following:

Error: Missing Dependency: bind = 31:9.4.2-3.fc7 is needed by package caching-nameserver

or

Error: Missing Dependency: bind = 31:9.4.2-3.fc7 is needed by package bind-chroot

You may need to remove bind-chroot and/or caching-nameserver from your server prior to upgrading. To do this you can do the following:

  1. SSH to your server.
  2. Type su - and press Enter to gain root access.
  3. Type yum -y remove bind-chroot caching-nameserver.

The removal of these packages can cause adverse effects on your server. You may need to restore the version of /etc/sysconfig/named that you backed up by using the following command:

cp /etc/sysconfig/named.bak /etc/sysconfig/named

NOTE: This will install the most up to date version of BIND on your server. As the server administrator it will be your responsibility to determine whether or not a version update will cause any conflicts on your server. It is your responsibility to troubleshoot any issues that arise from performing this update.

Rate This Article:
Related Topics:
NEED HELP? Call our award-winning support team 24/7 at (480) 505-8877

About GoDaddy

Submit

United States - English
Traffic Log Image